Bug 102517 - Need more extensive StarMath syntax help for composing Chemical formulas with Math
Summary: Need more extensive StarMath syntax help for composing Chemical formulas with...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-09-26 06:52 UTC by inpost
Modified: 2020-03-16 15:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
extent of chemical formula documentation in MG 4.4 (52.18 KB, image/png)
2016-10-24 16:05 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description inpost 2016-09-26 06:52:56 UTC
User-Agent:       Mozilla/5.0 (X11; Linux) AppleWebKit/538.15 (KHTML, like Gecko) Chrome/46.0.2490.86 Safari/538.15 Midori/0.5
Build Identifier: 

Unable to write chemical isotope formulae such as O2-.

The syntax of the equation editor:
O lsup {2-}

produces

a corrupted formula

Reproducible: Always







Reset User Profile?No
Comment 1 V Stuart Foote 2016-09-26 14:51:35 UTC
Additional bracketing is needing in the StarMath

O lsup { 2- {} }

or alternative

O lsup { 2"-"}
Comment 2 inpost 2016-10-24 15:29:05 UTC
How to suggest improvement to manual
Comment 3 V Stuart Foote 2016-10-24 16:05:53 UTC
Created attachment 128205 [details]
extent of chemical formula documentation in MG 4.4

https://wiki.documentfoundation.org/images/2/26/MG44-MathGuide.pdf

https://wiki.documentfoundation.org/Documentation/Publications

@Regina, @Jean, * -- What are your thoughts on extending documentation/samples for chemical equations in StarMath syntax.  Nothing in the GS, and the MG44 entry is a bit thin.
Comment 4 V Stuart Foote 2016-10-24 16:12:58 UTC
Converting to a documentation bug.

OP had issues with syntax for Isotope entry in StarMath. The samples in the MG44 help, but are too few.  Perhaps some additional LOCALHELP/Online Help article support, and as well should expand the Math Guide coverage?
Comment 5 Commit Notification 2020-03-15 21:14:38 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ad765abb1e0dd960fba26d52667a1f3f4996f893

tdf#102517 Chemical formulas in Math